
local creamery = ...

local myMonument = {
    DataType = "BUILDING",
    Id = "PV3_CREAMERY",
    Name = "PV3_CREAMERY_NAME",
    Description = "PV3_CREAMERY_DESC",
    BuildingType = "GENERAL"
}

if (foundation.getGameVersion == nil or version.cmp(foundation.getGameVersion(), "1.6") < 0) then
    creamery:log("Hello World: version 1.5")
    myMonument.BuildingPartSetList = {
		{
			Name = "PV3_CREAMERY_NAME",
                	BuildingPartList = { "PV3_CREAMERY_PART" }
                }
    } 
    _vjrTagBehaviorWork = "WORK_BEHAVIOR"
else
    creamery:log("Hello World: version 1.6")
    myMonument.AssetCoreBuildingPart = "PV3_CREAMERY_PART"
    _vjrTagBehaviorWork = "BEHAVIOR_WORK"
end

creamery:register(myMonument)

creamery:registerAssetId("models/creamery.fbx/Prefab/creameryPart", "PV3_CREAMERY_PREFAB")

creamery:register({
--Dclare que l'objet que l'on cre appartient  la class BUILDING_PART
	DataType = "BUILDING_PART",
--Cr l'objet
	Id = "PV3_CREAMERY_PART",
	Description = "Faut bien a!",
	Mover = { DataType = "BUILDING_PART_MOVER_INSTANCE" },
--on dclare d'aller chercher PV3_CREAMERY_PREFAB pour construire l'object final ( c'est dans le Fbx )
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PV3_CREAMERY_PREFAB"
	},
--Les ressources ncessaires.
	Cost = {
		UpkeepCost = {
			{ Resource = "GOLD", Quantity = 0 }
		},
		RessourcesNeeded = {
			{ Resource = "WOOD", Quantity = 10 }
		}
	},
	AssetBuildingFunction = "FUNCTION_PV3_CREAMERY"
})

creamery:register({
		DataType = "BUILDING_FUNCTION_WORKPLACE",
                Id = "FUNCTION_PV3_CREAMERY",
		WorkerCapacity = 2,
                RelatedJob = { Job = "PV3_DAIRY_MAID", Behavior = _vjrTagBehaviorWork },
                InputInventoryCapacity = {
			{ Resource = "MILK", Quantity = 50 }
                },
                ResourceListNeeded = {
                	{ Resource = "MILK", Quantity = 3 }
                },
                ResourceProduced = {
			{ Resource = "PV3_BUTTER", Quantity = 1 }
                }
})

creamery:registerPrefabComponent("models/creamery.fbx/Prefab/creameryPart", {
	DataType = "COMP_DIRT_RECTANGLE",
	Size = {4, 6}
})

creamery:registerPrefabComponent("models/creamery.fbx/Prefab/creameryPart", {
	DataType = "COMP_BUILDING_PART",
	HasBuildingZone = true,
	BuildingZone = { 4, 6 }
})

creamery:registerAssetId("models/creamery.fbx/Prefab/creameryPart/step_0/cheminee/SmokeEmitter", "PV3_CREAMERY_SMOKE_EMITTER_PREFAB")

creamery:registerPrefabComponent("models/creamery.fbx/Prefab/creameryPart", {
	DataType = "COMP_BUILDING_PART",
	FeedbackComponentListToActivate = {
                 { "PV3_CREAMERY_SMOKE_EMITTER_PREFAB", "COMP_PARTICLE_EMITTER_TOGGLE" }
	}
})

-- Register air vent particle system
creamery:registerPrefabComponent("models/creamery.fbx/Prefab/creameryPart/step_0/cheminee/SmokeEmitter", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "PARTICLE_SYSTEM_HOUSING_SMOKE",
	IsPlaying = true,
	IsEmitting = false
})

creamery:registerPrefabComponent("models/creamery.fbx/Prefab/creameryPart/step_0/cheminee/SmokeEmitter", {
	DataType = "COMP_PARTICLE_EMITTER_TOGGLE",
	Enabled = false
})

