
local pastry = ...

local myMonument = {
    DataType = "BUILDING",
    Id = "PV3_PASTRY_WORKPLACE",
    Name = "PV3_PASTRY_WORKPLACE_NAME",
    Description = "PV3_PASTRY_WORKPLACE_DESC",
    BuildingType = "GENERAL"
}

if (foundation.getGameVersion == nil or version.cmp(foundation.getGameVersion(), "1.6") < 0) then
    pastry:log("Hello World: version 1.5")
    myMonument.BuildingPartSetList = {
		{
			Name = "PV3_PASTRY_WORKPLACE_NAME",
                	BuildingPartList = { "PV3_PASTRY_WORKPLACE_PART" }
                }
    } 
    _vjrTagBehaviorWork = "WORK_BEHAVIOR"
else
    pastry:log("Hello World: version 1.6")
    myMonument.AssetCoreBuildingPart = "PV3_PASTRY_WORKPLACE_PART"
    _vjrTagBehaviorWork = "BEHAVIOR_WORK"
end

pastry:register(myMonument)

pastry:registerAssetId("models/pastry.fbx/Prefab/pastryPart", "PV3_PASTRY_WORKPLACE_PREFAB")

pastry:register({
--Dclare que l'objet que l'on cre appartient  la class BUILDING_PART
	DataType = "BUILDING_PART",
--Cr l'objet
	Id = "PV3_PASTRY_WORKPLACE_PART",
	Description = "Faut bien a!",
	Mover = { DataType = "BUILDING_PART_MOVER_INSTANCE" },
--on dclare d'aller chercher PV3_PASTRY_WORKPLACE_PREFAB pour construire l'object final ( c'est dans le Fbx )
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PV3_PASTRY_WORKPLACE_PREFAB"
	},
--Les ressources ncessaires.
	Cost = {
		UpkeepCost = {
			{ Resource = "GOLD", Quantity = 0 }
		},
		RessourcesNeeded = {
			{ Resource = "WOOD", Quantity = 10 }
		}
	},
	AssetBuildingFunction = "FUNCTION_PV3_PASTRY"
})

pastry:register({
		DataType = "BUILDING_FUNCTION_WORKPLACE",
                Id = "FUNCTION_PV3_PASTRY",
		WorkerCapacity = 3,
                RelatedJob = { Job = "BAKER", Behavior = _vjrTagBehaviorWork },
                InputInventoryCapacity = {
			{ Resource = "PV3_EGG", Quantity = 50 },
			{ Resource = "FLOUR", Quantity = 50 },
			{ Resource = "PV3_BUTTER", Quantity = 50 },
			{ Resource = "BERRIES", Quantity = 50 }
--,
--			{ Resource = "WOOD", Quantity = 50 }
                },
                ResourceListNeeded = {
			{ Resource = "PV3_EGG", Quantity = 1 },
			{ Resource = "FLOUR", Quantity = 1 },
			{ Resource = "PV3_BUTTER", Quantity = 1 },
			{ Resource = "BERRIES", Quantity = 1 }
--,
--			{ Resource = "WOOD", Quantity = 1 }
                },
                ResourceProduced = {
			{ Resource = "PV3_PASTRY", Quantity = 1 }
                }
})

pastry:registerPrefabComponent("models/pastry.fbx/Prefab/pastryPart", {
	DataType = "COMP_DIRT_RECTANGLE",
	Size = {4, 6}
})

pastry:registerPrefabComponent("models/pastry.fbx/Prefab/pastryPart", {
	DataType = "COMP_BUILDING_PART",
	HasBuildingZone = true,
	BuildingZone = { 4, 6 }
})

pastry:registerAssetId("models/pastry.fbx/Prefab/pastryPart/step_0/cheminee/SmokeEmitter", "PV3_PASTRY_SMOKE_EMITTER_PREFAB")

pastry:registerPrefabComponent("models/pastry.fbx/Prefab/pastryPart", {
	DataType = "COMP_BUILDING_PART",
	FeedbackComponentListToActivate = {
                 { "PV3_PASTRY_SMOKE_EMITTER_PREFAB", "COMP_PARTICLE_EMITTER_TOGGLE" }
	}
})

-- Register air vent particle system
pastry:registerPrefabComponent("models/pastry.fbx/Prefab/pastryPart/step_0/cheminee/SmokeEmitter", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "PARTICLE_SYSTEM_HOUSING_SMOKE",
	IsPlaying = true,
	IsEmitting = false
})

pastry:registerPrefabComponent("models/pastry.fbx/Prefab/pastryPart/step_0/cheminee/SmokeEmitter", {
	DataType = "COMP_PARTICLE_EMITTER_TOGGLE",
	Enabled = false
})

